Bug 186092 - [HeapWalker] incorrect references for java.lang.ClassLoader instances
[HeapWalker] incorrect references for java.lang.ClassLoader instances
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 12:25 UTC by Tomas Hurka
Modified: 2010-05-26 10:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2010-05-13 12:25:06 UTC
Instances of java.lang.ClassLoader are implicitly hold by classes loaded by particular classloader. This information is not visualized in the heapwalker and as a result GC root path for classloaders are not computed correctly.
Comment 1 Tomas Hurka 2010-05-13 12:30:13 UTC
This bug will be fixed by introducing synthetic static field named <classloader> which will point to  classloader, which loaded class. <classloader> static field can be null if the class is loaded by bootclassloader. <classloader> allows heapwalker to display classes as referrers of the classloader instance and  also fixes the GC root path computation.
Comment 2 Tomas Hurka 2010-05-13 13:48:26 UTC
Fixed in profiler-main.
changeset:   170590:36b195804f8a
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu May 13 15:47:05 2010 +0200
summary:     bugfix #186092, synthetic static field <classloader> added
Comment 3 Tomas Hurka 2010-05-13 16:54:31 UTC
Update: 
OQL does not like <classloader> name - it has to be changed to $classloader$

changeset:   170591:ff46daf36d6e
Comment 4 Quality Engineering 2010-05-17 15:31:11 UTC
Integrated into 'main-golden', will be available in build *201005170932* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:
Comment 5 Quality Engineering 2010-05-19 06:17:56 UTC
Integrated into 'main-golden', will be available in build *201005182201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo